No links off 'Help' 'Advanced Topics' page work (gutsy)

Bug #141276 reported by Richard Mace on 2007-09-20
14
Affects Status Importance Assigned to Milestone
Yelp
Fix Released
Medium
yelp (Ubuntu)
High
Sebastien Bacher

Bug Description

Binary package hint: yelp

When clicking on any of the links on the HELP system, 'Advanced Topics' page. None of them work.

ProblemType: Bug
Architecture: i386
Date: Thu Sep 20 16:33:30 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/bin/yelp
NonfreeKernelModules: hsfengine
Package: yelp 2.19.90-0ubuntu3
PackageArchitecture: i386
ProcCmdline: yelp
ProcCwd: /home/richard
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: yelp
Uname: Linux richard-laptop 2.6.22-11-generic #1 SMP Mon Sep 17 03:45:58 GMT 2007 i686 GNU/Linux

Related branches

Matthew East (mdke) on 2007-09-30
Changed in yelp:
importance: Undecided → High
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

Thanks for your bug report. This bug has been reported to the developers of the software. You can track it and make comments here: http://bugzilla.gnome.org/show_bug.cgi?id=482290

Changed in yelp:
assignee: nobody → desktop-bugs
importance: High → Medium
status: Confirmed → Triaged
Changed in yelp:
status: Unknown → New
Matthew East (mdke) wrote :

Don has sent a patch which should fix this. It replaces the patch from bug 76944, and also includes one further fix - the Assistive Tools guide (gnome-access-guide) should appear in the front page topics.

Matthew East (mdke) wrote :

I'm taking the liberty of milestoning this bug for the RC.

Assigning to Seb, who is familiar with the patch this one replaces.

Changed in yelp:
assignee: desktop-bugs → seb128
importance: Medium → High

On 07/10/2007, Matthew East <email address hidden> wrote:
> Don has sent a patch which should fix this.

I've tested the patch (it simply replaces the 06 patch) and it works great.

--
Matthew East
http://www.mdke.org
gnupg pub 1024D/0E6B06FF

Sebastien Bacher (seb128) wrote :

yelp (2.20.0-0ubuntu3) gutsy; urgency=low

  * debian/patches/06_new_ubuntu_layout.patch:
    - patch update from Don Scorgie, fix advanced topics not working correctly
      (LP: #141276)

 -- Sebastien Bacher <email address hidden> Mon, 08 Oct 2007 10:31:43 +0200

Changed in yelp:
status: Triaged → Fix Released
Matthew East (mdke) wrote :

On 08/10/2007, Sebastien Bacher <email address hidden> wrote:
> yelp (2.20.0-0ubuntu3) gutsy; urgency=low
>
> * debian/patches/06_new_ubuntu_layout.patch:
> - patch update from Don Scorgie, fix advanced topics not working correctly
> (LP: #141276)

Great, thanks Seb!!

Please note - I believe some of the patch is going to be merged
upstream and will appear in a point release. Just FYI.

--
Matthew East
http://www.mdke.org
gnupg pub 1024D/0E6B06FF

Changed in yelp:
status: New → Fix Released
Changed in yelp:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.